[pcre-dev] [Bug 2614] Need a feature like mirrored backrefer…

Top Page

Reply to this message
Author: admin
Date:  
To: pcre-dev
Old-Topics: [pcre-dev] [Bug 2614] New: Need a feature like mirrored backreference (feature request)
Subject: [pcre-dev] [Bug 2614] Need a feature like mirrored backreference (feature request)
https://bugs.exim.org/show_bug.cgi?id=2614

Mehmet gelisin <mehmetgelisin@???> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
                 CC|                            |mehmetgelisin@???


--- Comment #3 from Mehmet gelisin <mehmetgelisin@???> ---
Hi,

This was reported as Debian bug 925360; I am forwarding on the original
submitter's report (and their patch): http://www.compilatori.com/

"""
I just upgraded a server of mine to Debian buster, and roundcube's
postinst started to crash with "Illegal instruction" messages from a
php process, due to usage of a SSE2 instruction (PSLLDQ). This
instruction is not required by our ISA baseline, and SSE2 is not
present on many i386 based CPUs, such as AMD Semprons for example.
http://www.slipstone.co.uk/

Tracking this down was a bit of a pain, as the offending instructions
were JITed at run-time, so there were no symbols associated, or
indication from where this was coming from. Checking php source
themselves revelead at least what seemed like some unconditional usage
of AVX, SSE2, SSS3 and SSE4.x instructions, http://embermanchester.uk/ and I've
got a patch for
that, but this didn't fix the problem. Because php links against the
system pcre2 instead of using its internal embedded copy.

So attached is the matching patch for pcre2, that does fix this issue
for me.
"""

Regards,

Hi,

This was reported as Debian bug 925360; I am forwarding on the original
submitter's report (and their patch): http://connstr.net/

"""
I just upgraded a server of mine to Debian buster, and roundcube's
postinst started to crash with "Illegal instruction" messages from a
php process, due to usage of a SSE2 instruction (PSLLDQ). This
instruction is not required by our ISA baseline, and SSE2 is not
present on many i386 based CPUs, such as AMD Semprons for example.
http://www.jopspeech.com/
Tracking this down was a bit of a pain, as the offending instructions
were JITed at run-time, so there were no symbols associated, or
indication from where this was coming from. Checking php source
themselves revelead at least what seemed like some unconditional usage
of AVX, SSE2, SSS3 and SSE4.x instructions, and I've got a patch for
that, but this didn't fix the problem. Because php links against the
system pcre2 instead of using its internal embedded copy.

So attached is the matching patch for pcre2, that does fix this issue
for me.
"""
http://www.wearelondonmade.com/
Regards,

Hi,

This was reported as Debian bug 925360; I am forwarding on the original
submitter's report (and their patch):

"""
I just upgraded a server of mine to Debian buster, and roundcube's
postinst started to crash with "Illegal instruction" messages from a
php process, due to usage of a SSE2 instruction (PSLLDQ). This
instruction is not required by our ISA baseline, and SSE2 is not
present on many i386 based CPUs, such as AMD Semprons for example.
http://joerg.li/
Tracking this down was a bit of a pain, as the offending instructions
were JITed at run-time, so there were no symbols associated, or
indication from where this was coming from. Checking php source
themselves revelead at least what seemed like some unconditional usage
of AVX, SSE2, SSS3 and SSE4.x instructions, and I've got a patch for
that, but this didn't fix the problem. Because php links against the
system pcre2 instead of using its internal embedded copy.

So attached is the matching patch for pcre2, that does fix this issue
for me.
"""

Regards, http://www.logoarts.co.uk/

Hi,

This was reported as Debian bug 925360; I am forwarding on the original
submitter's report (and their patch):

""" http://www.acpirateradio.co.uk/
I just upgraded a server of mine to Debian buster, and roundcube's
postinst started to crash with "Illegal instruction" messages from a
php process, due to usage of a SSE2 instruction (PSLLDQ). This
instruction is not required by our ISA baseline, and SSE2 is not
present on many i386 based CPUs, such as AMD Semprons for example.
https://waytowhatsnext.com/
Tracking this down was a bit of a pain, as the offending instructions
were JITed at run-time, so there were no symbols associated, or
indication from where https://www.webb-dev.co.uk/ this was coming from.
Checking php source
themselves revelead at least what seemed like some unconditional usage
of AVX, SSE2, SSS3 and SSE4.x instructions, and I've got a patch for
that, but this didn't fix the problem. http://www.iu-bloomington.com/ Because
php links against the
system pcre2 instead of using its internal embedded copy.

So attached is the matching patch for pcre2, that does fix this issue
for me. http://www-look-4.com/
"""

Regards,

--
You are receiving this mail because:
You are on the CC list for the bug.